Subject: [bug#60609] [PATCH] gnu: git-annex: Patch 'git-annex webapp' to use hardcoded xdg-open.

From: "Thompson, David" <[email-masked]>
Date: Thu, 12 Jan 2023 12:52:58 -0500

Hi Simon,

On Thu, Jan 12, 2023 at 12:46 PM Simon Tournier
<[email-masked]> wrote:
>
> Hi,
>
> On ven., 06 janv. 2023 at 16:30, "Thompson, David" <[email-masked]> wrote:
>
> > * gnu/packages/haskell-apps.scm (git-annex)[arguments]: Add 'patch-webapp'
> > phase.
> > [inputs]: Add xdg-utils.
>
> This adds 130MB to the closure.  Well, it is only 5.5% of the complete
> closure but that’s not nothing either. :-)
>
> Maybe it could be worth to split this large package; either
> git-annex-minimal and git-annex, or two outputs.  Because, we build it
> using this:
>
>      `(#:configure-flags
>        '("--flags=-Android -Webapp")
>
> when I do not use the Webapp, for instance. :-)

I figured that since git-annex is already so huge and it's not a core
thing that it wouldn't be a big deal to add some size in order to make
more features work properly without having to troubleshoot.  I'd be in
favor of a minimal variant for those that don't want the full
git-annex feature set.

- Dave